FTVIEW(1)

NAME
ftview - simple glyph viewer

SYNOPSIS
ftview [options] [pt] font ...

DESCRIPTION
ftview displays all glyphs of a font, allowing changes of various rendering and hinting parameters interactively.

pt  The point size for the given resolution. If resolution is 72dpi, this directly gives the ppem value (pixels per EM).

font
    The font file(s) to display. For Type 1 font files, ftview also tries to attach the corresponding metrics file (with extension `.afm' or `.pfm').

This program is part of the FreeType demos package.

OPTIONS

-d WxH[xD]
    Set the window width to W px, the height to H px, and optionally the depth to D bpp (default: 640x480x24).

-r r
    Use resolution r dpi (default: 72dpi).

-f index
    Specify first index to display (default: 0).

-e enc
    Specify encoding tag (default: no encoding). Common values: unic (Unicode), symb (symbol), ADOB (Adobe standard), ADBC (Adobe custom), or a numeric charmap index.

-m text
    Use text for rendering.

-l mode
    Set start-up rendering mode (0 <= mode <= 6). This corresponds to the keystrokes 'A' to 'G' within the program.

-L W1,W2,W3,W4,W5
    If there are five arguments, set LCD filter weights (as specified in function FT_Library_SetLcdFilterWeights).

-L G1,G2,G3,G4,G5,G6
    If there are six arguments, set the subpixel geometry (as specified in function FT_Library_SetLcdGeometry) depending on the implemented subpixel rendering method.

-p  Preload file in memory to simulate memory-mapping.

-k keys
    Emulate sequence of keystrokes upon start-up. If the keystrokes contain 'q', the program operates in batch mode. Function keys Fx are mapped to character codes 0xFx; as an example, -k $'\xF3q' is function key 'F3' followed by character 'q'.

-v  Show version.